%define  upstream_name Graph
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name:		ezcomponents-%{upstream_name}
Version:	1.5
Release:	%mkrel 1
Summary:	A component for creating pie charts, line graphs and other kinds of diagramst
License:	New BSD
Group:		Development/PHP
URL:		http://components.ez.no/package/%upstream_name
Source0:	http://pear.phpunit.de/get/%upstream_name-%{version}.tgz
Requires(post): php-pear
Requires(preun): php-pear
Requires:    	php-pear
Requires:    	php-pear-channel-components
Requires: 	ezcomponents-Base >= 1.8
BuildRequires:	php-pear
BuildRequires:	php-pear-channel-components
BuildArch:	noarch

%description
A component for creating pie charts, line graphs and other kinds of
diagrams.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Graph.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Graph.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only components.ez.no/Graph
fi

%files
%defattr(-,root,root)
%doc docs/Graph/*
%{peardir}/data/Graph/design/class_diagram.png
%{peardir}/data/Graph/design/design.txt
%{peardir}/data/Graph/design/enhancements/interactive_data_points.txt
%{peardir}/data/Graph/design/enhancements/multiple_axis.txt
%{peardir}/data/Graph/design/requirements.txt
%{peardir}/data/Graph/design/requirements/interactive_data_points.txt
%{peardir}/data/Graph/design/requirements/multiple_axis.txt
%{peardir}/ezc/Graph/axis/container.php
%{peardir}/ezc/Graph/axis/date.php
%{peardir}/ezc/Graph/axis/labeled.php
%{peardir}/ezc/Graph/axis/logarithmic.php
%{peardir}/ezc/Graph/axis/numeric.php
%{peardir}/ezc/Graph/charts/bar.php
%{peardir}/ezc/Graph/charts/horizontal_bar.php
%{peardir}/ezc/Graph/charts/line.php
%{peardir}/ezc/Graph/charts/odometer.php
%{peardir}/ezc/Graph/charts/pie.php
%{peardir}/ezc/Graph/charts/radar.php
%{peardir}/ezc/Graph/colors/color.php
%{peardir}/ezc/Graph/colors/linear_gradient.php
%{peardir}/ezc/Graph/colors/radial_gradient.php
%{peardir}/ezc/Graph/data_container/base.php
%{peardir}/ezc/Graph/data_container/single.php
%{peardir}/ezc/Graph/datasets/array.php
%{peardir}/ezc/Graph/datasets/average.php
%{peardir}/ezc/Graph/datasets/base.php
%{peardir}/ezc/Graph/datasets/numeric.php
%{peardir}/ezc/Graph/datasets/property/axis.php
%{peardir}/ezc/Graph/datasets/property/boolean.php
%{peardir}/ezc/Graph/datasets/property/color.php
%{peardir}/ezc/Graph/datasets/property/integer.php
%{peardir}/ezc/Graph/datasets/property/string.php
%{peardir}/ezc/Graph/driver/cairo.php
%{peardir}/ezc/Graph/driver/cairo_oo.php
%{peardir}/ezc/Graph/driver/flash.php
%{peardir}/ezc/Graph/driver/gd.php
%{peardir}/ezc/Graph/driver/svg.php
%{peardir}/ezc/Graph/driver/svg_font.php
%{peardir}/ezc/Graph/driver/verbose.php
%{peardir}/ezc/Graph/element/axis.php
%{peardir}/ezc/Graph/element/background.php
%{peardir}/ezc/Graph/element/legend.php
%{peardir}/ezc/Graph/element/text.php
%{peardir}/ezc/Graph/exceptions/date_parsing.php
%{peardir}/ezc/Graph/exceptions/exception.php
%{peardir}/ezc/Graph/exceptions/flash_bitmap_type.php
%{peardir}/ezc/Graph/exceptions/font_rendering.php
%{peardir}/ezc/Graph/exceptions/font_type.php
%{peardir}/ezc/Graph/exceptions/incompatible_driver.php
%{peardir}/ezc/Graph/exceptions/invalid_assignement.php
%{peardir}/ezc/Graph/exceptions/invalid_data.php
%{peardir}/ezc/Graph/exceptions/invalid_data_source.php
%{peardir}/ezc/Graph/exceptions/invalid_dimensions.php
%{peardir}/ezc/Graph/exceptions/invalid_display_type.php
%{peardir}/ezc/Graph/exceptions/invalid_id.php
%{peardir}/ezc/Graph/exceptions/invalid_image_file.php
%{peardir}/ezc/Graph/exceptions/invalid_keys.php
%{peardir}/ezc/Graph/exceptions/invalid_step_size.php
%{peardir}/ezc/Graph/exceptions/no_data.php
%{peardir}/ezc/Graph/exceptions/no_such_data.php
%{peardir}/ezc/Graph/exceptions/no_such_dataset.php
%{peardir}/ezc/Graph/exceptions/no_such_element.php
%{peardir}/ezc/Graph/exceptions/not_rendered.php
%{peardir}/ezc/Graph/exceptions/out_of_boundings.php
%{peardir}/ezc/Graph/exceptions/out_of_logarithmical_boundings.php
%{peardir}/ezc/Graph/exceptions/reducement_failed.php
%{peardir}/ezc/Graph/exceptions/too_many_datasets.php
%{peardir}/ezc/Graph/exceptions/unknown_color_definition.php
%{peardir}/ezc/Graph/exceptions/unregular_steps.php
%{peardir}/ezc/Graph/exceptions/unsupported_image_type.php
%{peardir}/ezc/Graph/graph.php
%{peardir}/ezc/Graph/graph_autoload.php
%{peardir}/ezc/Graph/interfaces/axis_label_renderer.php
%{peardir}/ezc/Graph/interfaces/chart.php
%{peardir}/ezc/Graph/interfaces/dataset_property.php
%{peardir}/ezc/Graph/interfaces/driver.php
%{peardir}/ezc/Graph/interfaces/element.php
%{peardir}/ezc/Graph/interfaces/horizontal_bar_renderer.php
%{peardir}/ezc/Graph/interfaces/odometer_renderer.php
%{peardir}/ezc/Graph/interfaces/palette.php
%{peardir}/ezc/Graph/interfaces/radar_renderer.php
%{peardir}/ezc/Graph/interfaces/renderer.php
%{peardir}/ezc/Graph/interfaces/stacked_bar_renderer.php
%{peardir}/ezc/Graph/math/boundings.php
%{peardir}/ezc/Graph/math/matrix.php
%{peardir}/ezc/Graph/math/polynom.php
%{peardir}/ezc/Graph/math/rotation.php
%{peardir}/ezc/Graph/math/transformation.php
%{peardir}/ezc/Graph/math/translation.php
%{peardir}/ezc/Graph/math/vector.php
%{peardir}/ezc/Graph/options/cairo_driver.php
%{peardir}/ezc/Graph/options/chart.php
%{peardir}/ezc/Graph/options/driver.php
%{peardir}/ezc/Graph/options/flash_driver.php
%{peardir}/ezc/Graph/options/font.php
%{peardir}/ezc/Graph/options/gd_driver.php
%{peardir}/ezc/Graph/options/line_chart.php
%{peardir}/ezc/Graph/options/odometer_chart.php
%{peardir}/ezc/Graph/options/pie_chart.php
%{peardir}/ezc/Graph/options/radar_chart.php
%{peardir}/ezc/Graph/options/renderer.php
%{peardir}/ezc/Graph/options/renderer_2d.php
%{peardir}/ezc/Graph/options/renderer_3d.php
%{peardir}/ezc/Graph/options/svg_driver.php
%{peardir}/ezc/Graph/palette/black.php
%{peardir}/ezc/Graph/palette/ez.php
%{peardir}/ezc/Graph/palette/ez_blue.php
%{peardir}/ezc/Graph/palette/ez_green.php
%{peardir}/ezc/Graph/palette/ez_red.php
%{peardir}/ezc/Graph/palette/tango.php
%{peardir}/ezc/Graph/renderer/2d.php
%{peardir}/ezc/Graph/renderer/3d.php
%{peardir}/ezc/Graph/renderer/axis_label_boxed.php
%{peardir}/ezc/Graph/renderer/axis_label_centered.php
%{peardir}/ezc/Graph/renderer/axis_label_exact.php
%{peardir}/ezc/Graph/renderer/axis_label_none.php
%{peardir}/ezc/Graph/renderer/axis_label_radar.php
%{peardir}/ezc/Graph/renderer/axis_label_rotated.php
%{peardir}/ezc/Graph/renderer/axis_label_rotated_boxed.php
%{peardir}/ezc/Graph/renderer/horizontal_bar.php
%{peardir}/ezc/Graph/structs/context.php
%{peardir}/ezc/Graph/structs/coordinate.php
%{peardir}/ezc/Graph/structs/step.php
%{peardir}/ezc/Graph/tools.php
%{peardir}/ezc/autoload/graph_autoload.php
%{xmldir}/Graph.xml


%changelog
* Sat Jul 16 2011 spuhler <spuhler> 1.5-1.mga2
+ Revision: 125004
- imported package ezcomponents-Graph

